# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rocketwheel/command/version'

Gem::Specification.new do |gem|
  gem.name          = 'rocketwheel-command'
  gem.version       = Rocketwheel::Command::VERSION
  gem.authors       = ["Eric J. Holmes"]
  gem.email         = ["eric@ejholmes.net"]
  gem.description   = %q{Command line tool for encoding, building and deploying demo packages.}
  gem.summary       = %q{Command line tool for encoding, building and deploying demo packages.}
  gem.homepage      = "https://github.com/luminosity-group/rocketwheel-command"
  gem.license       = "MIT"

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}) { |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ["lib"]

  gem.add_dependency 'thor',        '~> 0.17.0'
  gem.add_dependency 'transloadit', '~> 1.0.3'
  gem.add_dependency 'fog',         '~> 1.9.0'
  gem.add_dependency 'rubyzip',     '~> 0.9.9'
  gem.add_dependency 'mime-types',  '~> 1.21'
  gem.add_dependency 'json',        '~> 1.7.7'

  gem.add_development_dependency 'rake'
  gem.add_development_dependency 'rspec'
end
